Index: protocols/skype/t/add-yes-skyped.mock
===================================================================
--- protocols/skype/t/add-yes-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/add-yes-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,4 +9,6 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> SET USER bob BUDDYSTATUS 2 Please authorize me
 << USER bob BUDDYSTATUS 2
Index: protocols/skype/t/added-no-skyped.mock
===================================================================
--- protocols/skype/t/added-no-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/added-no-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,4 +9,6 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 << USER bob RECEIVEDAUTHREQUEST Please allow me to see when you are online
 >> SET USER bob ISAUTHORIZED FALSE
Index: protocols/skype/t/added-yes-skyped.mock
===================================================================
--- protocols/skype/t/added-yes-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/added-yes-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,4 +9,6 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 << USER bob RECEIVEDAUTHREQUEST Please allow me to see when you are online
 >> SET USER bob ISAUTHORIZED TRUE
Index: protocols/skype/t/call-failed-skyped.mock
===================================================================
--- protocols/skype/t/call-failed-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/call-failed-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,6 +9,10 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS OFFLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 >> CALL bob
 << CALL 216 STATUS UNPLACED
Index: protocols/skype/t/call-skyped.mock
===================================================================
--- protocols/skype/t/call-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/call-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,6 +9,10 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS OFFLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 >> CALL bob
 << CALL 178 STATUS UNPLACED
Index: protocols/skype/t/called-no-skyped.mock
===================================================================
--- protocols/skype/t/called-no-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/called-no-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,6 +9,10 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 << CALL 212 CONF_ID 0
 << CALL 212 STATUS RINGING
Index: protocols/skype/t/called-yes-skyped.mock
===================================================================
--- protocols/skype/t/called-yes-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/called-yes-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,6 +9,10 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 << CALL 208 CONF_ID 0
 << CALL 208 STATUS RINGING
Index: protocols/skype/t/ctcp-help-skyped.mock
===================================================================
--- protocols/skype/t/ctcp-help-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/ctcp-help-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,4 +9,8 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
Index: protocols/skype/t/filetransfer-skyped.mock
===================================================================
--- protocols/skype/t/filetransfer-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/filetransfer-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,6 +9,10 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 << FILETRANSFER 208 TYPE INCOMING
 << FILETRANSFER 208 PARTNER_HANDLE bob
Index: protocols/skype/t/group-read-skyped.mock
===================================================================
--- protocols/skype/t/group-read-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/group-read-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -17,10 +17,20 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 >> GET USER cecil ONLINESTATUS
 << USER cecil ONLINESTATUS ONLINE
+>> GET USER cecil FULLNAME
+<< USER cecil FULLNAME Cecil
 >> GET USER daniel ONLINESTATUS
 << USER daniel ONLINESTATUS ONLINE
+>> GET USER daniel FULLNAME
+<< USER daniel FULLNAME Daniel
 >> GET USER emily ONLINESTATUS
 << USER emily ONLINESTATUS OFFLINE
+>> GET USER emily FULLNAME
+<< USER emily FULLNAME Emily
Index: protocols/skype/t/groupchat-invite-bitlbee.mock
===================================================================
--- protocols/skype/t/groupchat-invite-bitlbee.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/groupchat-invite-bitlbee.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -5,4 +5,5 @@
 << PRIVMSG &bitlbee :account add skype alice foo
 << PRIVMSG &bitlbee :account skype on
+>> :bob!bob@skype.com JOIN :&bitlbee
 << PRIVMSG &bitlbee :chat with bob
 >> 353 alice = ##alice/$bob;a7ab206ec780 :@alice bob @root
Index: protocols/skype/t/groupchat-invite-skyped.mock
===================================================================
--- protocols/skype/t/groupchat-invite-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/groupchat-invite-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,8 +9,14 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 >> GET USER cecil ONLINESTATUS
 << USER cecil ONLINESTATUS ONLINE
+>> GET USER cecil FULLNAME
+<< USER cecil FULLNAME Cecil
 >> CHAT CREATE bob
 << CHAT #alice/$bob;a7ab206ec78060f1 STATUS DIALOG
Index: protocols/skype/t/groupchat-invited-skyped.mock
===================================================================
--- protocols/skype/t/groupchat-invited-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/groupchat-invited-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,8 +9,14 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS OFFLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 >> GET USER cecil ONLINESTATUS
 << USER cecil ONLINESTATUS OFFLINE
+>> GET USER cecil FULLNAME
+<< USER cecil FULLNAME Cecil
 << CHAT #cecil/$bob;4d8cc9965791c6b9 NAME #cecil/$bob;4d8cc9965791c6b9
 << CHAT #cecil/$bob;4d8cc9965791c6b9 STATUS MULTI_SUBSCRIBED
Index: protocols/skype/t/info-skyped.mock
===================================================================
--- protocols/skype/t/info-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/info-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,6 +9,10 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 >> GET USER bob FULLNAME
 << USER bob FULLNAME Bob
Index: protocols/skype/t/login-skyped.mock
===================================================================
--- protocols/skype/t/login-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/login-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,4 +9,8 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
Index: protocols/skype/t/msg-skyped.mock
===================================================================
--- protocols/skype/t/msg-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/msg-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,6 +9,10 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> GET USER bob ONLINESTATUS
 << USER bob ONLINESTATUS ONLINE
+>> GET USER bob FULLNAME
+<< USER bob FULLNAME Bob
 >> MESSAGE bob foo
 << CHATMESSAGE 290 STATUS SENDING
Index: protocols/skype/t/set-mood-text-skyped.mock
===================================================================
--- protocols/skype/t/set-mood-text-skyped.mock	(revision 130f7b85cf0d75da8dbb98df6d52595fe24c65c9)
+++ protocols/skype/t/set-mood-text-skyped.mock	(revision b2b7f5247199ad9b49e8a1f095b040fa0f4b9807)
@@ -9,4 +9,6 @@
 >> GET USER echo123 ONLINESTATUS
 << USER echo123 ONLINESTATUS ONLINE
+>> GET USER echo123 FULLNAME
+<< USER echo123 FULLNAME Echo / Sound Test Service
 >> SET PROFILE MOOD_TEXT foo bar
 << PROFILE MOOD_TEXT foo bar
